logging-log4j-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Maarten Bosteels" <mbosteels....@gmail.com>
Subject Re: running chainsaw needs log4j-1.3alpha-7.jar
Date Thu, 03 Jan 2008 10:19:55 GMT
On Jan 3, 2008 9:30 AM, Heinrich Götzger <goetzger@gmx.de> wrote:
> Hi
>
> do I get this right,
>
> running actual chainsaw from
> http://logging.apache.org/log4j/docs/webstart/chainsaw/chainsaw-bundle.zip
> needs log4j-1.3alpha-7.jar on application-side for getting all
> LocationInfos via SocketAppender?

Yes, that's also my experience: see
http://thread.gmane.org/gmane.comp.jakarta.log4j.user/15607/focus=15611

"3. There is a serialization incompatibility between log4j 1.2x
socketappender and the log4j 1.3
socketreceiver..this is being fixed with our work to get Chainsaw and
appenders into the 1.2 codebase
(may be fixed in the next release)"

Scott, any news on this ?

Maarten
Mime
View raw message